# Architecture and development links
## List of used software or services
 
- [MinIO](https://min.io/) as S3-like bucket, or [Yandex.Cloud Object Storage](https://cloud.yandex.com/en-ru/services/storage)
- [PyCharm Professional](https://www.jetbrains.com/pycharm/) as main Python IDE
- [Visual Studio Code](https://code.visualstudio.com/) as main Frontend IDE
- [Docker](https://www.docker.com/)
- [GitLab CI/CD](https://docs.gitlab.com/ee/ci/) as CI/CD platform
- [Cloudflare Pages](https://pages.cloudflare.com/) as host for my static websites
- [PostgresSQL](https://www.postgresql.org/) as a database or SQLite
- [Sphinx](https://www.sphinx-doc.org/)

### List of Backend libraries

- [Starlette](https://www.starlette.io/#installation) as main web framework
- [Tortoise ORM](https://tortoise.github.io/) as async ORM
- [PyMuPDF](https://github.com/pymupdf/pymupdf) as PDF parser
- [PyDantic](https://docs.pydantic.dev/)
- [AioHTTP](https://docs.aiohttp.org/en/stable/) as http requester
- [JWCrypto](https://pypi.org/project/jwcrypto/) for creating JWT tokens
- [Dotenv](https://pypi.org/project/python-dotenv/) for load all envs from .env
- [Pytest](https://docs.pytest.org/en/7.2.x/how-to/fixtures.html) as main test framework
- [AioResponses](https://pypi.org/project/aioresponses/) for mock testing with aiohttp
- [Httpx](https://pypi.org/project/httpx/) as a TestClient in startlette
- [pytest-cov](https://pypi.org/project/pytest-cov/) for mesuaring coverage
- [boto](https://boto3.amazonaws.com/v1/documentation/api/latest/index.html) as S3 client
- [Telethon](https://docs.telethon.dev/en/stable/) as telegram client for user account

[Documentation of API](https://documenter.getpostman.com/view/12399426/2s8YzXwLZM)
